corda / net.corda.core.utilities / Emoji

# Emoji

`object Emoji`

A simple wrapper class that contains icons and support for printing them only when we're connected to a terminal.

### Properties

CODE_BAG_OF_CASH | `val CODE_BAG_OF_CASH: String`
CODE_BOOKS | `val CODE_BOOKS: String`
CODE_COOL_GUY | `val CODE_COOL_GUY: String`
CODE_DIAMOND | `val CODE_DIAMOND: String`
CODE_GREEN_TICK | `val CODE_GREEN_TICK: String`
CODE_LEFT_ARROW | `val CODE_LEFT_ARROW: String`
CODE_NEWSPAPER | `val CODE_NEWSPAPER: String`
CODE_NO_ENTRY | `val CODE_NO_ENTRY: String`
CODE_PAPERCLIP | `val CODE_PAPERCLIP: String`
CODE_RIGHT_ARROW | `val CODE_RIGHT_ARROW: String`
CODE_SANTA_CLAUS | `val CODE_SANTA_CLAUS: String`
CODE_SKULL_AND_CROSSBONES | `val CODE_SKULL_AND_CROSSBONES: String`
bagOfCash | `val bagOfCash: String`
books | `val books: String`
coolGuy | `val coolGuy: String`
diamond | `val diamond: String`
emojiMode | `val emojiMode: ThreadLocal<Any>` When non-null, toString() methods are allowed to use emoji in the output as we're going to render them to a sufficiently capable text surface.
hasEmojiTerminal | `val hasEmojiTerminal: Boolean`
leftArrow | `val leftArrow: String`
newspaper | `val newspaper: String`
paperclip | `val paperclip: String`
rightArrow | `val rightArrow: String`
santaClaus | `val santaClaus: String`

### Functions

renderIfSupported | `fun <T> renderIfSupported(body: () -> T): T` `fun renderIfSupported(obj: Any): String`